source_folder: consul/acl
files:
- name: provider.tf
  step: ['init', 'build']
- name: .gitignore
  step: ['init', 'build']
- name: variable.auto.tfvars
  step: ['runtime']
- name: backend.tf
  step: ['runtime']
- name: variable.tf
  step: ['init', 'build']
- name: 'modules/acl-org/acl.tf'
  step: ['init', 'build']
- name: 'modules/acl-org/variable.tf'
  step: ['init', 'build']
- name: 'modules/acl-product/acl.tf'
  step: ['init', 'build']
- name: 'modules/acl-product/variable.tf'
  step: ['init', 'build']
- name: 'module-acl-product-write.tf'
  target: 'mod-acl-pw-{{ product_write.org }}-{{ product_write.product }}.tf'
  repeat: 'product_write'
  step: ['init', 'build']
- name: 'module-acl-product-read.tf'
  target: 'mod-acl-pw-{{ product_read.org }}-{{ product_read.product }}.tf'
  repeat: 'product_read'
  step: ['init', 'build']
- name: 'module-acl-org-read.tf'
  target: 'mod-acl-ow-{{ org_read.org }}.tf'
  repeat: 'org_read'
  step: ['init', 'build']  
- name: 'module-acl-org-write.tf'
  target: 'mod-acl-ow-{{ org_write.org }}.tf'
  repeat: 'org_write'
  step: ['init', 'build'] 